/* -*-c-*-
 *
 * $Id: parse.h,v 1.3 2004/04/08 01:36:20 mdw Exp $
 *
 * Parser for `become.conf' files
 *
 * (c) 1998 EBI
 */

/*----- Licensing notice --------------------------------------------------*
 *
 * This file is part of `become'
 *
 * `Become' is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * `Become' is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with `become'; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef PARSER_H
#define PARSER_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Required headers --------------------------------------------------*/

#ifndef CLASS_H
#  include "class.h"
#endif

#ifndef NAME_H
#  include "name.h"
#endif

#include "parser.h"			/* Token definitions and things */

/*----- Global variables --------------------------------------------------*/

extern int yydebug;			/* Debugging flag for parser */

/*----- Functions provided ------------------------------------------------*/

/* --- @parse@ --- *
 *
 * Arguments:	---
 *
 * Returns:	Zero if it worked, nonzero if it didn't.
 *
 * Use:		Parses configuration files.
 */

extern int parse(void);

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
